package com.gh.gamecenter.setting.compose.provider

import android.content.Context
import android.content.Intent
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.ISettingProvider
import com.gh.gamecenter.setting.compose.activity.ComposeAboutActivity
import com.gh.gamecenter.setting.compose.activity.ComposeBindPhoneActivity
import com.gh.gamecenter.setting.compose.activity.ComposeSecurityActivity
import com.gh.gamecenter.setting.compose.activity.ComposeSettingActivity


@Route(path = RouteConsts.provider.composeSetting, name = "ComposeSetting暴露服务")
class ComposeSettingProviderImpl : ISettingProvider {
    override fun getSettingIntent(context: Context, isUpdate: Boolean, entrance: String): Intent {
        return ComposeSettingActivity.getIntent(context, isUpdate, entrance)
    }

    override fun getSecurityIntent(context: Context, entrance: String, isLogoutStyle: Boolean): Intent {
        return ComposeSecurityActivity.getIntent(context, entrance, isLogoutStyle)
    }

    override fun getBindPhoneNormalIntent(context: Context, isChangePhone: Boolean): Intent {
        return ComposeBindPhoneActivity.getNormalIntent(context, isChangePhone)
    }

    override fun getAboutIntent(context: Context?, isUpdate: Boolean): Intent {
        return ComposeAboutActivity.getIntent(context, isUpdate)
    }

    override fun init(context: Context?) {
        // do nothing
    }

}